<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CELULARES Lo mejor del mercado</title>
    <script src="jq/jquery.min.js"></script>
    <script src="jq/jquery.validate.js"></script>
    <script src="jq/bootstrap.min.js"></script>
    <link rel="stylesheet" type="text/css" href="css/bootstrap.css">
    <link rel="stylesheet" type="text/css" href="css/custom.css">
  <script>
  $(document).ready(function(){
    $("img").click(function(){
        var img=$(this).attr('src');
          $("#show-img").attr('src',img);
          $("#imgmodal").modal('show');
      });

    jQuery.validator.addMethod("validaRUN", function validaRUN(run) 
    {
        let regular = /^\d{1,2}.\d{3}.\d{3}-[k|K|\d]{1}$/;
        return regular.test(run);
    });

    jQuery.validator.addMethod("validaNUM", function validaNUM(telefono) 
    {
        let regular = /^[+]\d{3}-\d{4}-\d{4}$/;
        return regular.test(telefono);
    });

    $("#formulario").validate({
    rules: {
        correo:{required:true, 
                email:true},
        run: {required:true, 
                validaRUN:true},
        nombre: {required: true, 
                maxlength:40},
        fecha:{required:true},
        telefono:{validaNUM:true}
    },
    messages: {
        correo:{required:"Obligatorio", 
            email:"El formato no es valido"},
        run: {required:"Obligatorio",
            validaRUN:"Error: debe contener puntos y guion"},
        nombre: {required: "Obligatorio", 
            maxlength:"Maximo 40 caracteres"},
        fecha:{required:"Obligatorio"},
        telefono:{validaNUM:"Revise formato +111+1111+1111"}
    }
    });
  });
  </script>
</head>
<body>
    <nav class="navbar navbar-expand-lg navbar-dark py-0" style="background-color: rgb(22, 0, 34);">
        <a class="navbar-brand" href="#">
            <img class="w-50" src="img/logo.png" alt="logo">
        </a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
      
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav mr-auto">
            <li class="nav-item">
              <a class="nav-link" href="#">Inicio</a>
            </li>
            <li class="nav-item" data-toggle="modal" data-target="#modal1">
              <a class="nav-link" href="#">¿Quienes Somos?</a>
            </li>
            <li class="nav-item" data-toggle="modal" data-target="#modal2">
                <a class="nav-link" href="#">Contactenos</a>
            </li>
          </ul>
        </div>
      </nav>

    <div id="carouselExampleControls" class="carousel slide" data-ride="carousel">
      <ol class="carousel-indicators">
        <li data-target="#carouselExampleControls" data-slide-to="0" class="active"></li>
        <li data-target="#carouselExampleControls" data-slide-to="1"></li>
        <li data-target="#carouselExampleControls" data-slide-to="2"></li>
      </ol>
        <div class="carousel-inner">
          <div class="carousel-item tamano-carrusel active">
            <img src="img/xiaomicarrusel1.jpg" class="d-block w-100  img-fluid" alt="...">
              <div class="carousel-caption">
                  <h3>Aprovecha nuestros beneficios</h3>
                  <p>Envio Gratis por compras sobre $500.000.</p>
              </div>
          </div>
          <div class="carousel-item tamano-carrusel">
            <img src="img/huaweicarrusel2.jpg" class="d-block w-100  img-fluid" alt="...">
              <div class="carousel-caption">
                  <h3>Evita Riesgos al cargar efectivo</h3>
                  <p>Paga con tarjeta hasta 3 cuotas precio contado.</p>
              </div>
          </div>
          <div class="carousel-item tamano-carrusel">
            <img src="img/samsungcarrusel1.jpg" class="d-block w-100  img-fluid" alt="...">
              <div class="carousel-caption">
                  <h3>Los Mejores Precios del mercado</h3>
                  <p>Si encuentras un precio mas barato lo igualamos</p>
              </div>
          </div>
        </div>
        <a class="left carousel-control" href="#carouselExampleControls" data-slide="prev">
          <span class="glyphicon glyphicon-chevron-left"></span>
          <span class="sr-only">Previous</span>
        </a>
        <a class="right carousel-control" href="#carouselExampleControls" data-slide="next">
          <span class="glyphicon glyphicon-chevron-right"></span>
          <span class="sr-only">Next</span>
        </a>
      </div>
    <div class="card-group">
        <div class="card bg-secondary text-white">
          <img src="img/tarjeta1.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h5 class="card-title">Samsung S20 Ultra</h5>
            <p class="card-text">Color : White<br><br>Precio<br>Efectivo  : $999.000<br>Tarjeta :  1.009.999</p>
          </div>
          <div class="card-footer">
            29 de Septiembre del 2020
          </div>
        </div>
        <div class="card bg-dark text-white">
          <img src="img/tarjeta2.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h5 class="card-title">Pocophone F2 Pro</h5>
            <p class="card-text">Color : Grey<br><br>Precio<br>Efectivo  : $399.000<br>Tarjeta :  409.999</p>
          </div>
          <div class="card-footer">
            29 de Agosto del 2020
          </div>
        </div>
        <div class="card bg-secondary text-white">
          <img src="img/tarjeta3.jpg" class="card-img-top" alt="...">
          <div class="card-body">
            <h5 class="card-title">Huawei P40 Pro</h5>
            <p class="card-text">Color : White<br><br>Precio<br>Efectivo  : $899.000<br>Tarjeta :  909.999</p>
          </div>
          <div class="card-footer">
            5 de Septiembre del 2020
          </div>
        </div>
        <div class="card bg-dark text-white">
          <img src="img/tarjeta4.jpg" class="card-img-top" alt="...">
            <div class="card-body">
              <h5 class="card-title">Huawei P30 Pro</h5>
              <p class="card-text">Color : Black<br><br>Precio<br>Efectivo  : $699.000<br>Tarjeta :  709.999</p>
            </div>
            <div class="card-footer">
              10 de Septiembre del 2020
            </div>
          </div>
          <div class="card bg-secondary text-white">
            <img src="img/tarjeta5.png" class="card-img-top" alt="...">
            <div class="card-body">
              <h5 class="card-title">Xiaomi Mi Note 10 Lite</h5>
              <p class="card-text">Color : White<br><br>Precio<br>Efectivo  : $399.000<br>Tarjeta :  409.999</p>
            </div>
            <div class="card-footer">
              15 de Septiembre del 2020
            </div>
          </div>
      </div>
      
    <div id="galeria" class="container-fluid">
        <div class="text-center text-light">
            <h4>GALERIA DE IMAGENES</h4>
        </div>

        <div class="row text-center">
            
            <div class="col" >
              <img src="img/selfie.jpg" >
            </div>
            <div class="col">
              <img src="img/Android-10.jpg" >
            </div>
            <div class="col">
                <img src="img/vreality.jpg" >
            </div>
            <div class="col">
                <img src="img/camera.jpg" >
            </div>
            <div class="col">
                <img src="img/headphones.jpg" >
            </div>
          </div>
        </div>
    </div>

    </div>
    <div class="modal fade" role="dialog" id="imgmodal">
        <div class="modal-dialog">
            <div class="modal-content-1"></div>          
                <img class="img" src="" id="show-img">         
            </div>
        </div>
    </div>
    
    <div id="footer">© Pablo Alejandro Queralto Lopez</div>
    </div>
    <div class="modal fade" id="modal2" tabindex="-1" aria-labelledby="modal" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title text-light" id="modalTitulo">Contáctanos</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <form action="GET" id="formulario">
              <div class="form-group">
                  <label for="">Correo Electronico</label>
                  <input placeholder="correo" type="text" class="form-control" id="correo" name="correo" required>
              </div>
              <div class="form-group">
                  <label for="">Run</label>
                  <input placeholder="11.111.111-1" type="text" class="form-control" id="run" name="run" required>
              </div>
              <div class="form-group">
                  <label for="">Nombre Completo</label>
                  <input placeholder="Juan Perez" type="text" class="form-control" id="nombre" name="nombre" required>
              </div>
              <div class="form-group">
                  <label for="">Fecha de Nacimiento</label>
                  <input type="date" class="form-control" id="fecha" name="fecha" required>
              </div>
              <div class="form-group">
                  <label for="">Telefono de Contacto</label>
                  <input placeholder="+111-1111-1111" type="text" class="form-control" id="telefono" name="telefono">
              </div>
              <div class="modal-footer">
                <button type="submit" class="btn btn-secondary">Registrar</button>
              </div>
          </form>
          </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal fade" id="modal1" tabindex="-1" aria-labelledby="modalTitulo" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title text-light">Nuestra Empresa</h5>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <p>Somos una Empresa dedicada a la venta de Equipos Moviles fundada en el mes de Septiembre del 2020.</p>
          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Cerrar</button>
          </div>
        </div>
      </div>
    </div>
    
  </body>
</html>